### Method

# Camel ContentType is

#### Declaration [src]

    gboolean
    camel_content_type_is (
      const CamelContentType* content_type,
      const gchar* type,
      const gchar* subtype
    )

#### Description [src]

The subtype of “*” will match any subtype. If `ct` is `NULL`, then it will match the type “text/plain”.

#### Parameters

`content_type`

  Type: `CamelContentType`

  A content type specifier, or `NULL`.

  The argument can be `NULL`.

`type`

  Type: `const gchar*`

  A type to check against.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`subtype`

  Type: `const gchar*`

  A subtype to check against, or “*” to match any subtype.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the content type `ct` is of type `type`/`subtype` or `FALSE` otherwise.